robottestingframework::ResultEventReport Class Reference

The ResultEventReport class keeps a test report event. More...

`#include <robottestingframework/ResultEvent.h>`

Inheritance diagram for robottestingframework::ResultEventReport:
[legend]

## Public Member Functions

| ResultEventReport (const Test *test, TestMessage msg)
Public Member Functions inherited from robottestingframework::ResultEvent
| ResultEvent ()
| ResultEvent constructor. More...
virtual | ~ResultEvent ()=default
| ~ResultEvent Destructor More...
| ResultEvent (const Test *test, TestMessage msg)
| ResultEvent constructor. More...
const Test * | getTest ()
| getTest get the test More...
TestMessage & | getMessage ()
| getMessage get the corresponding message More...

## Detailed Description

The ResultEventReport class keeps a test report event.

Definition at line 89 of file ResultEvent.h.

## Constructor & Destructor Documentation

## ResultEventReport()

robottestingframework::ResultEventReport::ResultEventReport | ( | const Test * | test,
|  | TestMessage | msg
| ) |  |

inline

Definition at line 92 of file ResultEvent.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/ResultEvent.h